<?php

namespace App\Models;

class Currency extends BasePosModel
{
    public $timestamps = true;

    public const CREATED_AT = null;

    protected function casts(): array
    {
        return [
            'exchange_rate' => 'decimal:6',
            'is_base' => 'boolean',
            'is_active' => 'boolean',
            'updated_at' => 'datetime',
        ];
    }
}
